Subject: [Fot] MyLaps transponder

From: John Frymark <[email-masked]>
Date: Tue, 9 Dec 2014 10:57:37 -0600

Are any of you up to date on the changes with the MyLaps (old AMB) business
model? My rechargeable transponder won't hold a charge (after about 12 years)
so I'm investigating the guys that say they can put in a new battery. Now I
get an email from MyLaps announcing their new X2 system and it appears that
going forward you need a subscription (the razor blade?) with it. (Probably
with all kinds of smart phone connectivity/apps with data on where you're
losing time on track so we'll need drop down, flat screen monitors on our
bonnet between sessions!)

Have any of the tracks or clubs indicated a switch over to "new" systems or
will an old AMB transponder work for the foreseeable future? Are now going to
have "vintage" transponders, too?
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive